[Overview][Classes][Index] | Reference for unit 'nvContext' (#nvidia-widgets)

# UIContext.doLabel

UI method for drawing a static text label

## Declaration

Source position: nvcontext.pas line 82

`public procedure UIContext.doLabel(`
`const r: Rect;`
`const Text: ;`
`style: Integer = 0`
`);`

## Arguments

`r` |  | optionally provides a location and size for the label
`Text` |  | Text to display for the label (can have several lines)
`style` |  | optional style flag to modify the look

## Description

The label displays a non interactive text.

The style flag enables to draw the label in two distinct styles. The first one is default (style = 0) and displays the label simply as text. The alternative (style = 1) displays the label with a frame around it. An example is shown in the following figure.

The Text variable can have multiple lines.

Example code how to implement a label

    none.Rect(0, 0);
    ui.beginGroup(GroupFlags_GrowDownFromRight);
      ui.doLabel(none, Text);
    ui.endGroup;